Infrastructure - Bug #1298

Metacat content-type response header does not match content or objectFormat
2011-02-04 22:47 - Dave Vieglais

Status: Closed Start date: 2011-02-04
Priority: High Due date:

Assignee: Chad Berkley % Done: 100%
Category: Metacat Estimated time: 0.00 hour
Target version: Sprint-2011.06

Milestone: Story Points:

Product Version: *

Description

A content-type of "text/xml" is being reported when get()ing data that is not xml.
The objectFormat reported in both sysmeta and listobjects is "text/csv"

Example:

curl -s -v "http://knb-test-1.dyndns.org/knb/d1/object/repl:testiD201135141311600"
* About to connect() to knb-test-1.dyndns.org port 80 (#0)

* Trying 129.24.0.101... connected
* Connected to knb-test-1.dyndns.org (129.24.0.101) port 80 (#0)

GET /knb/d1/object/repl%3AtestiD201135141311600 HTTP/1.1

User-Agent: curl/7.19.7 (x86_64-pc-linux-gnu) libcurl/7.19.7 OpenSSL/0.9.8k zlib/1.2.3.3 libidn/1.15
Host: knb-test-1.dyndns.org

Accept: /

< HTTP/1.1 200 OK

< Date: Fri, 04 Feb 2011 22:44:33 GMT

< Server: Apache/2.2.14 (Ubuntu)

< Set-Cookie: JSESSIONID=98C00A8C47D9922DF30C59840AD2D70F; Path=/knb
< Vary: Accept-Encoding

< Transfer-Encoding: chunked

< Content-Type: text/xml

<

{ [data not shown]

file name :ht90e66: archival media:

##
##

The use of any parts of these data requires

written permission from: David Tilman (Head PI)

#i#
C/O LTER Data Manager
Ecology, Evolution and Behavior

University of Minnesota, 318 Church St. S.E., MPLS, MN 55455

History
http://knb-test-1.dyndns.org/knb/d1/object/repl:testID201135141311600

#1 - 2011-02-04 22:48 - Dave Vieglais
- Target version set to Sprint-2011.06

#2 - 2011-02-07 18:51 - Chad Berkley
- Status changed from New to Closed
- Assignee set to Chad Berkley

- % Done changed from 0 to 100

Fixed in metacat r5923
https://redmine.dataone.org/projects/d1/repository/revisions/5923
http://www.tcpdf.org

